> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/story-1/txpool_content.md).

# txpool\_content

#### **Parameters:**

None

#### Returns:

**array** - list of pending and queued transations, with each having the following fields:

**pending** - Array of transaction objects, with following fields:

* **blockHash** - Hash of the block where this transaction was in, null here.
* **blockNumber** - Block number where this transaction was added encoded as a hexadecimal, null here.
* **from** - Address of the sender.
* **gas** - The total amount of gas units used in the transaction.
* **gasPrice** - The total amount in wei the sender is willing to pay for the transaction.
* **hash** - Hash of the transaction.
* **input** - Encoded transaction input data.
* **nonce** - Number of transactions the sender has sent till now.
* **r** - ECDSA signature r.
* **s** - ECDSA signature s.
* **to** - Address of the receiver. null when its a contract creation transaction.
* **transactionIndex** - Integer of the transactions index position in the block encoded as a hexadecimal.
* **type** - A number between 0 and 0x7f, for a total of 128 possible transaction types.
* **v** - ECDSA recovery id encoded as a hexadecimal.
* **value** - Value transferred in Wei encoded as a hexadecimal.

**queued** - Array of transaction objects, with following fields:

* **accesslist** - A list of addresses and storage keys that the transaction plans to access, introduced in EIP-2929.
* **blockHash** - Hash of the block where this transaction was in, null here.
* **blockNumber** - Block number where this transaction was added encoded as a hexadecimal, null here.
* **chainId** - The current network/chain ID, used to sign repplay-protected transaction introduced in EIP-155.
* **from** - Address of the sender.
* **gas**- The total amount of gas units used in the transaction.
* **gasPrice** - The total amount in wei the sender is willing to pay for the transaction.
* **hash** - Hash of the transaction.
* **input** - Encoded transaction input data.
* **maxFeePerGas** - The maximum amount of gas willing to be paid for the transaction.
* **maxPriorityFeePerGas** - The maximum amount of gas to be included as a tip to the miner.
* **nonce** - Number of transactions the sender has sent till now.
* **r** - ECDSA signature r.
* **s** - ECDSA signature s.
* **to** - Address of the receiver. null when its a contract creation transaction.
* **transactionIndex** - Integer of the transactions index position in the block encoded as a hexadecimal.
* **type** - A number between 0 and 0x7f, for a total of 128 possible transaction types.
* **v** - ECDSA recovery id encoded as a hexadecimal.
* **value** - Value transferred in Wei encoded as a hexadecimal.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://etherlink.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"txpool_content","params":[],"id":1}'

// Result
{
   
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/story-1/txpool_content.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
